---
title: "Create a POP"
slug: "create-pop"
updated: 2026-03-22T16:42:06Z
published: 2026-03-26T10:08:53Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a POP

Post/orchestrator/2.0/pops/{envId}

This is an API call to create a Policy Orchestration Point (POP).

## Notice

Accessing the APIs is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`   

### Important note about headers

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.   
 

#### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H"Accept: application/json"` |
| Content Type | `application/json` | `-H"Content-Type: application/json"` |

  

### cURL Sample Guidelines

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

   

### Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstringRequired

Environment ID. You can find the Environment ID in your Environment Settings.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='fcb1c7a0-15f2-49e8-a038-1b8ff299e8ca'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='2e4b4a45-9370-44c6-8059-2eda91ba03e2'>create_example</option>
</select>create_example

```json
{
  "name": "Corporate Data Lake Connection",
  "popId": "extWestus-fin001",
  "orchestrationWorkspaceId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
  "identityWorkspaceId": "9ca7569f-5635-4cff-a335-74bcb3251ef0",
  "authorizationWorkspaceId": "4988cfea-527e-4183-8f80-608b0540dc14",
  "mode": "LEARN",
  "vendorName": "PowerBI",
  "popConnectionCredentials": {
    "authenticationMethod": "method",
    "credentials": {},
    "discoveryScopeRule": {}
  }
}
```

Expand Allobject  

POP create request V2

namestring    Required

POP Name

popIdstring    Required

POP ID for the POP. Must contain only letters (a-z, A-Z), digits (0-9), hyphens ("-"), underscores ("_"), colons (":"), and periods (".").

Max length128Pattern^[a-zA-Z0-9_:.-]+$
orchestrationWorkspaceIdstring    Required

The Orchestration Workspace ID is located in the Details Tab in the Orchestration Workspace Settings.

identityWorkspaceIdstring    Required

The Identity Workspace ID is located in the Details Tab in the Identity Workspace Settings.

authorizationWorkspaceIdstring    Required

The Authorization Workspace ID is located in the Details Tab in the Authorization Workspace Settings.

modestring    Required

POP Mode

Valid values[
  "LEARN",
  "MANAGE"
]
popConnectionCredentialsobject (PopConnectionCredentials)  Required

Refer to the [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors) article for instructions and examples on how to configure your vendor credentials with your Policy Orchestration Points (POP).

Example{
  "authenticationMethod": "method",
  "credentials": {}
}authenticationMethodstring    Required
credentialsobject  
discoveryScopeRuleobject  

This parameter is specific to Power BI. See the [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors) article for more information.

vendorNamestring    Required

Vendor Name

Valid values[
  "PowerBI",
  "ZScaler",
  "Snowflake",
  "Databricks",
  "mcp",
  "pinecone"
]
descriptionstring    

POP Description

Max length200
settingsobject  

Responses201

Successful response

<select class='api-response-data' aria-label='Media type'><option value='d67719fb-2394-4e75-a1d9-12147b839088'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='60c05de7-6e47-4a80-a86a-9a20ea84ea68'>create_example</option>
</select>create_example

```json
{
  "data": {
    "id": "POPS269J5C16H8N4",
    "popId": "extWestus-fin001",
    "orchestrationWorkspaceId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
    "identityWorkspaceId": "9ca7569f-5635-4cff-a335-74bcb3251ef0",
    "authorizationWorkspaceId": "4988cfea-527e-4183-8f80-608b0540dc14",
    "description": "Financial analytics platform integration for transaction monitoring and customer insights.",
    "name": "Corporate Data Lake Connection",
    "mode": "LEARN",
    "state": "DISCOVERY_DONE",
    "vendorName": "PowerBI",
    "popConnectionCredentials": {
      "authenticationMethod": "method",
      "credentials": {},
      "discoveryScopeRule": {}
    }
  }
}
```

Expand Allobject  

Response object

dataobject (pop)  idstring    

Internal PlainID property. Not intended for external use. Use popId as the required identifier for all SaaS Management API operations.

popIdstring    

POP ID for the POP

namestring    

POP Name

Max length50
orchestrationWorkspaceIdstring  (uuid)    

The Orchestration Workspace ID is located in the Details Tab in the Orchestration Workspace Settings.

identityWorkspaceIdstring  (uuid)    

The Identity Workspace ID is located in the Details Tab in the Identity Workspace Settings.

authorizationWorkspaceIdstring  (uuid)    

The Authorization Workspace ID is located in the Details Tab in the Authorization Workspace Settings.

descriptionstring    

POP Description

Max length200
vendorNamestring    

Vendor Name

Valid values[
  "PowerBI",
  "ZScaler",
  "Snowflake",
  "Databricks",
  "mcp",
  "pinecone"
]
popConnectionCredentialsobject (PopConnectionCredentials)  

Refer to the [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors) article for instructions and examples on how to configure your vendor credentials with your Policy Orchestration Points (POP).

Example{
  "authenticationMethod": "method",
  "credentials": {}
}authenticationMethodstring    
credentialsobject  
discoveryScopeRuleobject  

This parameter is specific to Power BI. See the [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors) article for more information.

modestring    

POP Mode.

Valid values[
  "LEARN",
  "MANAGE"
]
statestring    Valid values[
  "DISCOVERY_FAILED",
  "DISCOVERY_DONE",
  "DISCOVERY_IN_PROGRESS"
]
settingsobject  

401

Unauthorized

500

Internal Server Error
